import random

class Cut_Throat:
    def __init__(self, card_faces = None, suits = None, deck = None, player_1 = None, player_2 = None, player_3 = None, top_card = None, kitty = None, round_trump = 'None', dealer = None, game_players = None):

        self.card_faces = {
        "Two": 2,
        "Three": 3,
        "Four": 4,
        "Five": 5,
        "Six": 6,
        "Seven": 7,
        "Eight": 8,
        "Nine": 9,
        "Ten": 10,
        "Jack": 11,
        "Queen": 12,
        "King": 13,
        "Ace": 14,
        }

        self.suits = ['Hearts', 'Spades', 'Diamonds', 'Clubs']
        
        self.deck = {}
        
        self.player_1 = []
        self.player_2 = []
        self.player_3 = []
        self.top_card = 'None'
        self.kitty = []
        self.round_trump = 'None'
        self.dealer = None
        self.game_players = ['Player 1', 'Player 2', 'Player 3']
        
    def three_player_euchre(self):
        for suit in self.suits:
            for card, value in self.card_faces.items():
                if value >= 10:
                    self.deck[str(card) + ' of ' + str(suit)] = value
        return self.deck
    
    def set_dealer(self):
        if self.dealer == None:
            self.dealer = random.choice(self.game_players)
        elif self.dealer == 'Player 1':
            self.dealer = 'Player 2'
        elif self.dealer == 'Player 2':
            self.dealer = 'Player 3'
        elif self.dealer == 'Player 3':
            self.dealer = 'Player 1'
        return self.dealer

    def suit_finder(self, card):
        #print('CARD SENT TO SUIT FINDER:', card)
        #print('SUITS', self.suits)
        if self.round_trump == 'None':
            print('ONE')
            for suit in self.suits:
                if suit in card:
                    print(suit)
                    return suit
        elif self.round_trump != 'None':
            print('TWO')
            if self.round_trump == 'Spades' and card == 'Jack of Clubs':
                print('A')
                return 'Spades'
            elif self.round_trump == 'Clubs' and card == 'Jack of Spades':
                print('B')
                return 'Clubs'
            elif self.round_trump == 'Diamonds' and card == 'Jack of Hearts':
                print('C')
                return 'Diamonds'
            elif self.round_trump == 'Hearts' and card == 'Jack of Diamonds':
                print('D')
                return 'Hearts'
            else:
                print('E')
                for suit in self.suits:
                    if suit in card:
                        print(suit)
                        return suit
                    
    def deal_cards(self):
        def all_tens_check(card_list):
            if 'Ten of Hearts' in card_list and 'Ten of Spades' in card_list and 'Ten of Diamonds' in card_list and 'Ten of Clubs' in card_list:
                self.player_1.clear()
                self.player_2.clear()
                self.player_3.clear()
                self.top_card = 'None'
                self.kitty.clear()
                deal_cards()
        
        print(self.set_dealer())
        self.three_player_euchre()
        game_cards = list(self.deck.keys())
        random.shuffle(game_cards)
        count = 5

        while count > 0:
             card_2 = random.choice(game_cards)
             self.player_2.append(card_2)
             game_cards.remove(card_2)

             card_3 = random.choice(game_cards)
             self.player_3.append(card_3)
             game_cards.remove(card_3)
    
             card_1 = random.choice(game_cards)
             self.player_1.append(card_1)
             game_cards.remove(card_1)

             count -= 1
    
        self.top_card = game_cards[0]
        self.kitty = game_cards[1:]
        self.round_trump = self.suit_finder(self.top_card)